Subject: [bug#31176] [bug#31178] [PATCH] gnu: Add inxi.

From: Peter Neidhardt <[email-masked]>
Date: Mon, 07 May 2018 21:52:26 +0200

Oleg Pykhalov <[email-masked]> writes:

>> So what are the rules for garbage collection then?  I'm confused...
>> I don't see how _some_ inputs could get garbage collected and others not.
>
> When ‘guix gc --references PATH’ shows a ‘/gnu/store/…-INPUT’,
> then ‘/gnu/store/…-INPUT’ *will not* be garbage collected.
>
> For example:
> --8<---------------cut here---------------start------------->8---
> $ guix gc --references $(env GUIX_PACKAGE_PATH= guix build --no-grafts inxi)
> […]
> /gnu/store/…-file-5.32
> […]
> /gnu/store/…-xrandr-1.5.0
> /gnu/store/…-xprop-1.2.3
> --8<---------------cut here---------------end--------------->8---
> ‘file’, ‘xrandr’ and ‘xprop’ packages *will not* be garbage collected.

In understand that, my question was _why_ would some inputs get garbage
collected, and why not.  My question is on from a logical perspective in
terms of functional package management.

Other than that, the patch looks good to me, feel free to merge! :)

-- 
Peter Neidhardt